tigase.jaxmpp.j2se.connection

## Interface ConnectionManager.ConnectionEstablishedHandler

- All Superinterfaces:
    EventHandler
  All Known Implementing Classes:
    FileTransferManager, JingleFileTransferNegotiator, Socks5FileTransferNegotiator
  Enclosing interface:
    ConnectionManager

      public static interface ConnectionManager.ConnectionEstablishedHandler
      extends EventHandler

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ConnectionManager.ConnectionEstablishedHandler.ConnectionEstablishedEvent`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onConnectionEstablished(SessionObject sessionObject, ConnectionSession connectionSession, Socket socket)`

- - ### Method Detail

    - #### onConnectionEstablished

          void onConnectionEstablished(SessionObject sessionObject,
                                       ConnectionSession connectionSession,
                                       Socket socket)
                                throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2020 Tigase. All rights reserved.